Subject: Re: [PATCH v5 net-next 00/10] Let switchdev drivers offload and unoffload bridge ports at their own convenience

From: Ido Schimmel <[email-masked]>
Date: Tue, 20 Jul 2021 17:25:08 +0300

On Tue, Jul 20, 2021 at 02:12:01PM +0000, Vladimir Oltean wrote:
> On Tue, Jul 20, 2021 at 05:01:48PM +0300, Ido Schimmel wrote:
> > > The patches were split from a larger series for easier review:
> > 
> > This is not what I meant. I specifically suggested to get the TX
> > forwarding offload first and then extending the API with an argument to
> > opt-in for the replay / cleanup:
> 
> Yeah, ok, I did not get that and I had already reposted by the time you
> clarified, sorry.
> 
> Anyway, is it so bad that we cannot look at the patches in the order
> that they are in right now (even if this means that maybe a few more
> days would pass)? To me it makes a bit more sense anyway to first
> consolidate the code that is already in the tree right now, before
> adding new logic. And I don't really want to rebase the patches again to
> change the ordering and risk a build breakage without a good reason.

If you don't want to change the order, then at least make the
replay/cleanup optional and set it to 'false' for mlxsw. This should
mean that the only change in mlxsw should be adding calls to
switchdev_bridge_port_offload() / switchdev_bridge_port_unoffload() in
mlxsw_sp_bridge_port_create() / mlxsw_sp_bridge_port_destroy(),
respectively.